package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventFlood;
import com.railway.business.baseinfo.service.IBasePreventFloodService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/flood", tags = "基础数据-九防台账-防洪")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/flood")
public class BasePreventFloodController extends BaseController {
    @Autowired
    private IBasePreventFloodService basePreventFloodService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventFlood basePreventFlood) {
        return toAjax(basePreventFloodService.create(basePreventFlood));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventFloodService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventFlood basePreventFlood) {
        return toAjax(basePreventFloodService.update(basePreventFlood));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventFlood info = basePreventFloodService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventFlood basePreventFlood) {
        startPage();
        List<BasePreventFlood> list = basePreventFloodService.getList(basePreventFlood);
        return getDataTable(list);
    }

}
